org.apache.avro

## Class Conversions.UUIDConversion

- java.lang.Object
- - org.apache.avro.Conversion<UUID>
  - - org.apache.avro.Conversions.UUIDConversion

Enclosing class:
  Conversions

    public static class Conversions.UUIDConversion
    extends Conversion<UUID>

### Constructor Summary

Constructors
Constructor and Description
`UUIDConversion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `fromCharSequence(CharSequence value, Schema schema, LogicalType type)`
`Class<UUID>` `getConvertedType()` Return the Java class representing the logical type.
`String` `getLogicalTypeName()` Return the logical type this class converts.
`Schema` `getRecommendedSchema()`
`CharSequence` `toCharSequence(UUID value, Schema schema, LogicalType type)`

### Methods inherited from class org.apache.avro.Conversion

`adjustAndSetValue, fromArray, fromBoolean, fromBytes, fromDouble, fromEnumSymbol, fromFixed, fromFloat, fromInt, fromLong, fromMap, fromRecord, toArray, toBoolean, toBytes, toDouble, toEnumSymbol, toFixed, toFloat, toInt, toLong, toMap, toRecord`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UUIDConversion

    public UUIDConversion()

### Method Detail

#### getConvertedType

    public Class<UUID> getConvertedType()

Description copied from class: `Conversion`
Return the Java class representing the logical type.

Specified by:
  `getConvertedType` in class `Conversion<UUID>`
Returns:
  a Java class returned by from methods and accepted by to methods

#### getRecommendedSchema

    public Schema getRecommendedSchema()

Overrides:
  `getRecommendedSchema` in class `Conversion<UUID>`

#### getLogicalTypeName

    public String getLogicalTypeName()

Description copied from class: `Conversion`
Return the logical type this class converts.

Specified by:
  `getLogicalTypeName` in class `Conversion<UUID>`
Returns:
  a String logical type name

#### fromCharSequence

    public UUID fromCharSequence(CharSequence value,
                                 Schema schema,
                                 LogicalType type)

Overrides:
  `fromCharSequence` in class `Conversion<UUID>`

#### toCharSequence

    public CharSequence toCharSequence(UUID value,
                                       Schema schema,
                                       LogicalType type)

Overrides:
  `toCharSequence` in class `Conversion<UUID>`